org.springframework.core.serializer

## Interface Deserializer<T>

All Known Implementing Classes:
  DefaultDeserializer

    public interface Deserializer<T>

A strategy interface for converting from data in an InputStream to an Object.

Since:
  3.0.5
Author:
  Gary Russell, Mark Fisher

### Method Summary

Methods
`T` `deserialize(InputStream inputStream)` Read (assemble) an object of type T from the given InputStream.

### Method Detail

#### deserialize

    T deserialize(InputStream inputStream)
                  throws IOException

Read (assemble) an object of type T from the given InputStream.

Note: Implementations should not close the given InputStream (or any decorators of that InputStream) but rather leave this up to the caller.

Parameters:
  `inputStream` - the input stream
Returns:
  the deserialized object
Throws:
  `IOException` - in case of errors reading from the stream